# Get attachment

Fetches a temporary URL that allows you to download an attachment. The urlExpiresInMillis attribute tells you how long the URL is valid.

Endpoint: GET /sheets/{sheetId}/attachments/{attachmentId}
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `attachmentId` (string, required)
    ID of the attachment being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Response 200 fields (application/json):

  - `id` (number)
    Attachment ID.

  - `parentId` (number)
    The ID of the parent.

  - `attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `createdAt` (any)

  - `createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `createdBy.name` (string)
    Example: "Jane Doe"

  - `name` (string)
    Attachment name.

  - `sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `url` (string)
    Attachment temporary URL (files only).

  - `urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).


